library(stockassessment)
setwd("run")
load("data.RData")

conf<-defcon(dat)
conf$keyLogFsta[1,] <- c(0,    1,    2,    3,    4,    5,    6,    7,    7,     7)

conf$keyLogFpar[2,] <- c(0,    1 ,   2  ,  3 ,   4 ,   4  ,  4,   -1,   -1,    -1)
conf$keyLogFpar[3,] <- c(5,    6 ,   7  ,  8 ,   9 ,   9  ,  9,   -1,   -1,    -1)
conf$keyLogFpar[4,] <- c(10,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,    -1)

conf$keyVarF[1,] <- c(0, 1, 2, 2, 2, 2, 2, 2, 2, 2)

conf$keyVarLogN <-  c(0, 1, 1, 1, 1, 1, 1, 1, 1, 1)

conf$keyVarObs[1,]<-c(0,1,1,1,1,1,1,1,1,1)
conf$keyVarObs[2,]<-c(2,2,2,2,2,2,2,-1,-1,-1)
conf$keyVarObs[3,]<-c(3,3,3,3,3,3,3,-1,-1,-1)
conf$keyVarObs[4,]<-c(4,-1,-1,-1,-1,-1,-1,-1,-1,-1)

conf$obsCorStruct[]<-c("ID","AR","AR","ID")
conf$keyCorObs[2,]<-c(0,0,0,0,0,0,-1,-1,-1)
conf$keyCorObs[3,]<-c(1,1,1,1,1,1,-1,-1,-1)
conf$fbarRange<-c(2,6)
conf$corFlag<-2
par<-defpar(dat,conf)
fit<-sam.fit(dat,conf,par)

save(fit, file="model.RData")
